Package ru.bitel.bgbilling.apps.tv.access.om

# Class AccessDeviceManager

java.lang.Object
java.lang.Thread
ru.bitel.bgbilling.apps.tv.access.om.AccessDeviceManager

All Implemented Interfaces:
  `Runnable`, `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`

public class AccessDeviceManager extends Thread implements EventListener<ru.bitel.bgbilling.kernel.event.common.Event>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessDeviceManager(ru.bitel.bgbilling.apps.tv.access.TvAccess access)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx)`

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AccessDeviceManager

    public AccessDeviceManager(ru.bitel.bgbilling.apps.tv.access.TvAccess access) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### notify

    public void notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `notify` in interface `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`